取得客戶詳細資料
获取客户级风险概览、关联实体与告警信息。
Authorizations
API-KeystringRequired
Path parameters
customer_idstringRequiredExample:
你系统中的客户 ID。
Customer123Responses
200
响应。即使 HTTP 状态码为 200,code 非 0 也表示业务错误。
application/json
codeintegerOptional
msgstringOptional
401
鉴权失败。API-Key 请求头缺失或无效。
429
超出调用频率限制。请降低请求频率后重试。
get/customers/details/{customer_id}
GET /phalcon/compliance/v2/customers/details/{customer_id} HTTP/1.1
Host: api.blocksec.com
API-Key: YOUR_API_KEY
Accept: */*
{
"code": 0,
"msg": "Success",
"data": {
"customerId": "Suspicious Customer",
"riskLevel": 1,
"riskLevelDescription": "critical",
"addressCount": 2,
"totalBalance": "32.06330187195737",
"transactionCount": 4,
"totalDeposit": "478854.8679164357",
"totalWithdrawal": "197.82791906025065",
"addresses": [
{
"addressId": "a_40d324f1447d4a4592eed8a4b9e2ee20",
"address": "0x99b63122d52ee67669138f54c0b37ad980eff2e1",
"chainId": 1,
"riskLevel": 1,
"riskLevelDescription": "critical"
},
{
"addressId": "a_44f97875a81b4e56949c6908a8aeed60",
"address": "0x478e1c804e4bf1f54c9ef9b5aae5a716696a6822",
"chainId": 1,
"riskLevel": 1,
"riskLevelDescription": "critical"
}
],
"transactions": [
{
"transactionId": "kt_65450cae5b7049d2aa176575b205ab70",
"txHash": "0xcb63769ba0a216ac7b97a8acc2da0a59e7d79611b609ec51067bd610258c6f31",
"chainId": 1,
"value": "197.8279190602506375",
"direction": 2,
"riskLevel": 6,
"riskLevelDescription": "noRisk"
},
{
"transactionId": "kt_c70d7f7110f94dd5bd4e3669fe534cc1",
"txHash": "0xde64ab6dccf27bda99fa7efdc2fcc58475859dae4fd95a8da267dc0994ab5971",
"chainId": 1,
"value": "462249.4041752",
"direction": 1,
"riskLevel": 1,
"riskLevelDescription": "critical"
}
],
"alerts": [
{
"alertId": "d204900b-0a54-454b-b9f2-8c96fc7951b7",
"status": 1,
"statusDescription": "unResolved",
"riskLevel": 1,
"riskLevelDescription": "critical",
"description": "在流出交易中暴露于 Scam 地址。",
"riskEngineId": "ke_30bd2f166b124383a30b8bcea981b13c",
"riskEngineName": "FATF Guidelines: Exposure to illicit entity",
"riskEngineType": 2
}
]
}
}最後更新